<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFTextbox (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFTextbox (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFTextbox.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFTextbox.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFTextbox.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFTextbox" class="title">Class HSSFTextbox</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                       title="class in org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel.HSSFShape</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
                               title="class in org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel.HSSFSimpleShape</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hssf.usermodel.HSSFTextbox</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                           title="interface in org.apache.poi.ss.usermodel">Shape</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/SimpleShape.html"
                            title="interface in org.apache.poi.ss.usermodel">SimpleShape</a></dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html"
                           title="class in org.apache.poi.hssf.usermodel">HSSFComment</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">HSSFTextbox</span>
extends <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
           title="class in org.apache.poi.hssf.usermodel">HSSFSimpleShape</a></pre>
                <div class="block">A textbox is a shape that may hold a rich text string.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#HORIZONTAL_ALIGNMENT_CENTERED">HORIZONTAL_ALIGNMENT_CENTERED</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#HORIZONTAL_ALIGNMENT_DISTRIBUTED">HORIZONTAL_ALIGNMENT_DISTRIBUTED</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#HORIZONTAL_ALIGNMENT_JUSTIFIED">HORIZONTAL_ALIGNMENT_JUSTIFIED</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#HORIZONTAL_ALIGNMENT_LEFT">HORIZONTAL_ALIGNMENT_LEFT</a></span></code>
                                    <div class="block">How to align text horizontally</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#HORIZONTAL_ALIGNMENT_RIGHT">HORIZONTAL_ALIGNMENT_RIGHT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#OBJECT_TYPE_TEXT">OBJECT_TYPE_TEXT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#VERTICAL_ALIGNMENT_BOTTOM">VERTICAL_ALIGNMENT_BOTTOM</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#VERTICAL_ALIGNMENT_CENTER">VERTICAL_ALIGNMENT_CENTER</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#VERTICAL_ALIGNMENT_DISTRIBUTED">VERTICAL_ALIGNMENT_DISTRIBUTED</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#VERTICAL_ALIGNMENT_JUSTIFY">VERTICAL_ALIGNMENT_JUSTIFY</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#VERTICAL_ALIGNMENT_TOP">VERTICAL_ALIGNMENT_TOP</a></span></code>
                                    <div class="block">How to align text vertically</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hssf.usermodel.HSSFSimpleShape">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hssf.usermodel.<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSimpleShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#OBJECT_TYPE_ARC">OBJECT_TYPE_ARC</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#OBJECT_TYPE_COMBO_BOX">OBJECT_TYPE_COMBO_BOX</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#OBJECT_TYPE_COMMENT">OBJECT_TYPE_COMMENT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#OBJECT_TYPE_LINE">OBJECT_TYPE_LINE</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#OBJECT_TYPE_MICROSOFT_OFFICE_DRAWING">OBJECT_TYPE_MICROSOFT_OFFICE_DRAWING</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#OBJECT_TYPE_OVAL">OBJECT_TYPE_OVAL</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#OBJECT_TYPE_PICTURE">OBJECT_TYPE_PICTURE</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#OBJECT_TYPE_RECTANGLE">OBJECT_TYPE_RECTANGLE</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#WRAP_BY_POINTS">WRAP_BY_POINTS</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#WRAP_NONE">WRAP_NONE</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#WRAP_SQUARE">WRAP_SQUARE</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hssf.usermodel.HSSFShape">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hssf.usermodel.<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#FILL__FILLCOLOR_DEFAULT">FILL__FILLCOLOR_DEFAULT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE__COLOR_DEFAULT">LINESTYLE__COLOR_DEFAULT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DASHDOTDOTSYS">LINESTYLE_DASHDOTDOTSYS</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DASHDOTGEL">LINESTYLE_DASHDOTGEL</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DASHDOTSYS">LINESTYLE_DASHDOTSYS</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DASHGEL">LINESTYLE_DASHGEL</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DASHSYS">LINESTYLE_DASHSYS</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DEFAULT">LINESTYLE_DEFAULT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DOTGEL">LINESTYLE_DOTGEL</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DOTSYS">LINESTYLE_DOTSYS</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_LONGDASHDOTDOTGEL">LINESTYLE_LONGDASHDOTDOTGEL</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_LONGDASHDOTGEL">LINESTYLE_LONGDASHDOTGEL</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_LONGDASHGEL">LINESTYLE_LONGDASHGEL</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_NONE">LINESTYLE_NONE</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_SOLID">LINESTYLE_SOLID</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINEWIDTH_DEFAULT">LINEWIDTH_DEFAULT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINEWIDTH_ONE_PT">LINEWIDTH_ONE_PT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#NO_FILL_DEFAULT">NO_FILL_DEFAULT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#NO_FILLHITTEST_FALSE">NO_FILLHITTEST_FALSE</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#NO_FILLHITTEST_TRUE">NO_FILLHITTEST_TRUE</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#HSSFTextbox-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.hssf.record.ObjRecord-org.apache.poi.hssf.record.TextObjectRecord-">HSSFTextbox</a></span>(<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                                    <a href="../../../../../org/apache/poi/hssf/record/ObjRecord.html"
                                       title="class in org.apache.poi.hssf.record">ObjRecord</a>&nbsp;objRecord,
                                    <a href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html"
                                       title="class in org.apache.poi.hssf.record">TextObjectRecord</a>&nbsp;textObjectRecord)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#HSSFTextbox-org.apache.poi.hssf.usermodel.HSSFShape-org.apache.poi.hssf.usermodel.HSSFAnchor-">HSSFTextbox</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;parent,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>&nbsp;anchor)</code>
                                    <div class="block">Construct a new textbox with the given parent and anchor.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#afterRemove-org.apache.poi.hssf.usermodel.HSSFPatriarch-">afterRemove</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFPatriarch</a>&nbsp;patriarch)</code>
                                    <div class="block">remove escher container from the patriarch.escherAggregate
                                        remove obj, textObj and note records if it's necessary
                                        in case of ShapeGroup remove all contained shapes
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#cloneShape--">cloneShape</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hssf/record/ObjRecord.html"
                                        title="class in org.apache.poi.hssf.record">ObjRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#createObjRecord--">createObjRecord</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#createSpContainer--">createSpContainer</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#getHorizontalAlignment--">getHorizontalAlignment</a></span>()</code>
                                    <div class="block">Gets the horizontal alignment.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#getMarginBottom--">getMarginBottom</a></span>()</code>
                                    <div class="block">Gets the bottom margin within the textbox.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#getMarginLeft--">getMarginLeft</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#getMarginRight--">getMarginRight</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#getMarginTop--">getMarginTop</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#getVerticalAlignment--">getVerticalAlignment</a></span>()</code>
                                    <div class="block">Gets the vertical alignment.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#setHorizontalAlignment-short-">setHorizontalAlignment</a></span>(short&nbsp;align)</code>
                                    <div class="block">Sets the horizontal alignment.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#setMarginBottom-int-">setMarginBottom</a></span>(int&nbsp;marginBottom)</code>
                                    <div class="block">Sets the bottom margin within the textbox.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#setMarginLeft-int-">setMarginLeft</a></span>(int&nbsp;marginLeft)</code>
                                    <div class="block">Sets the left margin within the textbox.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#setMarginRight-int-">setMarginRight</a></span>(int&nbsp;marginRight)</code>
                                    <div class="block">Sets the right margin within the textbox.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#setMarginTop-int-">setMarginTop</a></span>(int&nbsp;marginTop)</code>
                                    <div class="block">Sets the top margin within the textbox.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#setShapeType-int-">setShapeType</a></span>(int&nbsp;shapeType)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#setVerticalAlignment-short-">setVerticalAlignment</a></span>(short&nbsp;align)</code>
                                    <div class="block">Sets the vertical alignment.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.usermodel.HSSFSimpleShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.usermodel.<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSimpleShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#createTextObjRecord--">createTextObjRecord</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#getShapeId--">getShapeId</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#getShapeType--">getShapeType</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#getString--">getString</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#getTextObjectRecord--">getTextObjectRecord</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#getWrapText--">getWrapText</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#setString-org.apache.poi.ss.usermodel.RichTextString-">setString</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#setWrapText-int-">setWrapText</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.usermodel.HSSFShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.usermodel.<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#countOfAllChildren--">countOfAllChildren</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getEscherContainer--">getEscherContainer</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getFillColor--">getFillColor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getLineStyle--">getLineStyle</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getLineStyleColor--">getLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getLineWidth--">getLineWidth</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getObjRecord--">getObjRecord</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getOptRecord--">getOptRecord</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getPatriarch--">getPatriarch</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getRotationDegree--">getRotationDegree</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#isFlipHorizontal--">isFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#isFlipVertical--">isFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#isNoFill--">isNoFill</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setAnchor-org.apache.poi.hssf.usermodel.HSSFAnchor-">setAnchor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setFillColor-int-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setFillColor-int-int-int-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setFlipHorizontal-boolean-">setFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setFlipVertical-boolean-">setFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setLineStyle-int-">setLineStyle</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setLineStyleColor-int-">setLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setLineStyleColor-int-int-int-">setLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setLineWidth-int-">setLineWidth</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setNoFill-boolean-">setNoFill</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setParent-org.apache.poi.hssf.usermodel.HSSFShape-">setParent</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setPatriarch-org.apache.poi.hssf.usermodel.HSSFPatriarch-">setPatriarch</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setPropertyValue-org.apache.poi.ddf.EscherProperty-">setPropertyValue</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setRotationDegree-short-">setRotationDegree</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.Shape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                        title="interface in org.apache.poi.ss.usermodel">Shape</a></h3>
                                <code><a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#isNoFill--">isNoFill</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setFillColor-int-int-int-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setLineStyleColor-int-int-int-">setLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setNoFill-boolean-">setNoFill</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="OBJECT_TYPE_TEXT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>OBJECT_TYPE_TEXT</h4>
                                <pre>public static final&nbsp;short OBJECT_TYPE_TEXT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFTextbox.OBJECT_TYPE_TEXT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HORIZONTAL_ALIGNMENT_LEFT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HORIZONTAL_ALIGNMENT_LEFT</h4>
                                <pre>public static final&nbsp;short HORIZONTAL_ALIGNMENT_LEFT</pre>
                                <div class="block">How to align text horizontally</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFTextbox.HORIZONTAL_ALIGNMENT_LEFT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HORIZONTAL_ALIGNMENT_CENTERED">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HORIZONTAL_ALIGNMENT_CENTERED</h4>
                                <pre>public static final&nbsp;short HORIZONTAL_ALIGNMENT_CENTERED</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFTextbox.HORIZONTAL_ALIGNMENT_CENTERED">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HORIZONTAL_ALIGNMENT_RIGHT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HORIZONTAL_ALIGNMENT_RIGHT</h4>
                                <pre>public static final&nbsp;short HORIZONTAL_ALIGNMENT_RIGHT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFTextbox.HORIZONTAL_ALIGNMENT_RIGHT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HORIZONTAL_ALIGNMENT_JUSTIFIED">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HORIZONTAL_ALIGNMENT_JUSTIFIED</h4>
                                <pre>public static final&nbsp;short HORIZONTAL_ALIGNMENT_JUSTIFIED</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFTextbox.HORIZONTAL_ALIGNMENT_JUSTIFIED">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HORIZONTAL_ALIGNMENT_DISTRIBUTED">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HORIZONTAL_ALIGNMENT_DISTRIBUTED</h4>
                                <pre>public static final&nbsp;short HORIZONTAL_ALIGNMENT_DISTRIBUTED</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFTextbox.HORIZONTAL_ALIGNMENT_DISTRIBUTED">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VERTICAL_ALIGNMENT_TOP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VERTICAL_ALIGNMENT_TOP</h4>
                                <pre>public static final&nbsp;short VERTICAL_ALIGNMENT_TOP</pre>
                                <div class="block">How to align text vertically</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFTextbox.VERTICAL_ALIGNMENT_TOP">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VERTICAL_ALIGNMENT_CENTER">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VERTICAL_ALIGNMENT_CENTER</h4>
                                <pre>public static final&nbsp;short VERTICAL_ALIGNMENT_CENTER</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFTextbox.VERTICAL_ALIGNMENT_CENTER">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VERTICAL_ALIGNMENT_BOTTOM">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VERTICAL_ALIGNMENT_BOTTOM</h4>
                                <pre>public static final&nbsp;short VERTICAL_ALIGNMENT_BOTTOM</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFTextbox.VERTICAL_ALIGNMENT_BOTTOM">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VERTICAL_ALIGNMENT_JUSTIFY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VERTICAL_ALIGNMENT_JUSTIFY</h4>
                                <pre>public static final&nbsp;short VERTICAL_ALIGNMENT_JUSTIFY</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFTextbox.VERTICAL_ALIGNMENT_JUSTIFY">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VERTICAL_ALIGNMENT_DISTRIBUTED">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>VERTICAL_ALIGNMENT_DISTRIBUTED</h4>
                                <pre>public static final&nbsp;short VERTICAL_ALIGNMENT_DISTRIBUTED</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFTextbox.VERTICAL_ALIGNMENT_DISTRIBUTED">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSSFTextbox-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.hssf.record.ObjRecord-org.apache.poi.hssf.record.TextObjectRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSSFTextbox</h4>
                                <pre>public&nbsp;HSSFTextbox(<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                   <a href="../../../../../org/apache/poi/hssf/record/ObjRecord.html"
                      title="class in org.apache.poi.hssf.record">ObjRecord</a>&nbsp;objRecord,
                   <a href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html"
                      title="class in org.apache.poi.hssf.record">TextObjectRecord</a>&nbsp;textObjectRecord)</pre>
                            </li>
                        </ul>
                        <a name="HSSFTextbox-org.apache.poi.hssf.usermodel.HSSFShape-org.apache.poi.hssf.usermodel.HSSFAnchor-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSSFTextbox</h4>
                                <pre>public&nbsp;HSSFTextbox(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;parent,
                   <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                      title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>&nbsp;anchor)</pre>
                                <div class="block">Construct a new textbox with the given parent and anchor.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>parent</code> -</dd>
                                    <dd><code>anchor</code> - One of HSSFClientAnchor or HSSFChildAnchor</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createObjRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createObjRecord</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/hssf/record/ObjRecord.html"
                                                       title="class in org.apache.poi.hssf.record">ObjRecord</a>&nbsp;createObjRecord()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#createObjRecord--">createObjRecord</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFSimpleShape</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createSpContainer--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createSpContainer</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;createSpContainer()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#createSpContainer--">createSpContainer</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFSimpleShape</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMarginLeft--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMarginLeft</h4>
                                <pre>public&nbsp;int&nbsp;getMarginLeft()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Returns the left margin within the textbox.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMarginLeft-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMarginLeft</h4>
                                <pre>public&nbsp;void&nbsp;setMarginLeft(int&nbsp;marginLeft)</pre>
                                <div class="block">Sets the left margin within the textbox.</div>
                            </li>
                        </ul>
                        <a name="getMarginRight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMarginRight</h4>
                                <pre>public&nbsp;int&nbsp;getMarginRight()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>returns the right margin within the textbox.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMarginRight-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMarginRight</h4>
                                <pre>public&nbsp;void&nbsp;setMarginRight(int&nbsp;marginRight)</pre>
                                <div class="block">Sets the right margin within the textbox.</div>
                            </li>
                        </ul>
                        <a name="getMarginTop--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMarginTop</h4>
                                <pre>public&nbsp;int&nbsp;getMarginTop()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>returns the top margin within the textbox.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMarginTop-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMarginTop</h4>
                                <pre>public&nbsp;void&nbsp;setMarginTop(int&nbsp;marginTop)</pre>
                                <div class="block">Sets the top margin within the textbox.</div>
                            </li>
                        </ul>
                        <a name="getMarginBottom--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMarginBottom</h4>
                                <pre>public&nbsp;int&nbsp;getMarginBottom()</pre>
                                <div class="block">Gets the bottom margin within the textbox.</div>
                            </li>
                        </ul>
                        <a name="setMarginBottom-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMarginBottom</h4>
                                <pre>public&nbsp;void&nbsp;setMarginBottom(int&nbsp;marginBottom)</pre>
                                <div class="block">Sets the bottom margin within the textbox.</div>
                            </li>
                        </ul>
                        <a name="getHorizontalAlignment--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHorizontalAlignment</h4>
                                <pre>public&nbsp;short&nbsp;getHorizontalAlignment()</pre>
                                <div class="block">Gets the horizontal alignment.</div>
                            </li>
                        </ul>
                        <a name="setHorizontalAlignment-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHorizontalAlignment</h4>
                                <pre>public&nbsp;void&nbsp;setHorizontalAlignment(short&nbsp;align)</pre>
                                <div class="block">Sets the horizontal alignment.</div>
                            </li>
                        </ul>
                        <a name="getVerticalAlignment--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getVerticalAlignment</h4>
                                <pre>public&nbsp;short&nbsp;getVerticalAlignment()</pre>
                                <div class="block">Gets the vertical alignment.</div>
                            </li>
                        </ul>
                        <a name="setVerticalAlignment-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setVerticalAlignment</h4>
                                <pre>public&nbsp;void&nbsp;setVerticalAlignment(short&nbsp;align)</pre>
                                <div class="block">Sets the vertical alignment.</div>
                            </li>
                        </ul>
                        <a name="setShapeType-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setShapeType</h4>
                                <pre>public&nbsp;void&nbsp;setShapeType(int&nbsp;shapeType)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#setShapeType-int-">setShapeType</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFSimpleShape</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>shapeType</code> - - shapeType</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeTypes.html"
                                           title="interface in org.apache.poi.hssf.usermodel"><code>HSSFShapeTypes</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="cloneShape--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>cloneShape</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;cloneShape()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#cloneShape--">cloneShape</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFSimpleShape</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="afterRemove-org.apache.poi.hssf.usermodel.HSSFPatriarch-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>afterRemove</h4>
                                <pre>protected&nbsp;void&nbsp;afterRemove(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFPatriarch</a>&nbsp;patriarch)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#afterRemove-org.apache.poi.hssf.usermodel.HSSFPatriarch-">HSSFShape</a></code></span>
                                </div>
                                <div class="block">remove escher container from the patriarch.escherAggregate
                                    remove obj, textObj and note records if it's necessary
                                    in case of ShapeGroup remove all contained shapes
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#afterRemove-org.apache.poi.hssf.usermodel.HSSFPatriarch-">afterRemove</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFSimpleShape</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFTextbox.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFTextbox.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFTextbox.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
